# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).
{
  boot.initrd.kernelModules = [ "i915" ];
  # boot.kernelPackages = pkgs.linuxPackages;

  services.xserver = {
    videoDrivers = [ "nvidia" ];
    # displayManager.gdm = {
    #   enable = true;
    #   wayland = false;
    # };
  };

  hardware.nvidia.prime = {
    offload.enable = false;
    sync.enable = true;
    intelBusId = "PCI:0:2:0";
    nvidiaBusId = "PCI:1:0:0";
  };
  # hardware.nvidia.modesetting.enable = true;
  # hardware.nvidia.package = pkgs.linuxPackages.nvidia_x11;
  hardware.opengl.driSupport32Bit = true;
}
